> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Searches the companies database using filters, keywords, and pagination.

# Search Companies Database

<Note>
  To know which filters you are able to use, refer to the [GET Filters](/api-reference/endpoints/people-database/get-database-filters) section.
</Note>

<Note>
  If you need more details about the schema of the companies returned as a results array, refer to the [GET Companies Schema section](/api-reference/endpoints/people-database/get-companies-schema) section.
</Note>


## OpenAPI

````yaml post /database/companies
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /database/companies:
    post:
      tags:
        - People Database
      summary: Search Companies Database
      description: >-
        Search the lemlist Companies database using structured filters with
        pagination support. Returns comprehensive company data including
        technologies used, location, employee count, and other business
        intelligence.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: array
                  description: >-
                    Array of filter objects to narrow down search results. Each
                    filter has a filterId and inclusion/exclusion criteria.
                  items:
                    type: object
                    properties:
                      filterId:
                        type: string
                        description: >-
                          The identifier of the filter to apply (e.g.,
                          'currentCompanyTechnologies', 'companySize',
                          'industry')
                      in:
                        type: array
                        description: Array of values to include in the filter
                        items:
                          type: string
                      out:
                        type: array
                        description: Array of values to exclude from the filter
                        items:
                          type: string
                page:
                  type: integer
                  description: 'Page number for pagination (default: 1)'
                size:
                  type: integer
                  description: 'Number of results per page (default: 100, max: 500)'
            example:
              filters:
                - filterId: currentCompanyTechnologies
                  in:
                    - Postman
                  out:
                    - Haskell
              page: 1
              size: 2
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/CompaniesSchema'
                      type: object
                  total:
                    type: integer
                    description: Total number of companies matching the search criteria
                  took:
                    type: integer
                    description: Time taken for the search in milliseconds
                  page:
                    type: integer
                    description: Current page number
                  size:
                    type: integer
                    description: Number of results per page
                  search:
                    type: string
                    description: Search session identifier
                  limitation:
                    type: integer
                    description: Result limitation applied
                  team:
                    type: string
                    description: Team identifier
              example:
                results:
                  - company_id: '88945664'
                    company_website_url: http://acme-tech.example.com
                    company_name: Acme Technologies
                    company_linkedin_url: https://www.linkedin.com/company/acme-technologies
                    last_updated: 2025-09-07 02:11:32 UTC
                    company_headquarters_city: Example City
                    company_headquarters_country: India
                    company_logo_url: https://example.com/logo1.png
                    company_description: >-
                      Acme, established on Aug-2015 with the idea "Make Your
                      Imagination Come True". Which means anyone who came up
                      with their idea, we will give a closely realistic
                      solutions to them. 

                      Acme Technologies is a new Generation Software Company,
                      with young people with creative mind and immersive energy.
                      We are a team of dedicated and highly skilled software
                      professionals focused on providing world class IT
                      solutions. We offer a variety of services in the area of:

                      Website Designing & Development, Web Maintenance,
                      E-Business Solutions, Android & iOS app, Blockchain
                      Development, Software Development, Hosting Services.
                    company_employee_count: '31'
                    company_type: Public Company
                    company_founded: '2015'
                    company_followers_count: '3958'
                    company_size: 11-50
                    company_domain: acme-tech.example.com
                    employees_count_growth: -3
                    techno_used_array:
                      - Apache HTTP Server
                      - Lightbox
                      - LinkedIn Sales Navigator
                      - Atlassian Jira
                      - LiteSpeed Cache
                      - Underscore.js
                      - Remix
                      - jsDelivr
                      - jQuery
                      - Google Fonts API
                      - Google Tag Manager
                      - X-Content-Type-Options
                      - Facebook
                      - PWA
                      - jQuery CDN
                      - ZURB Foundation
                      - HSTS
                      - WhatsApp Business
                      - X-XSS-Protection
                      - Google Analytics
                      - Flickity
                      - HTML
                      - LiteSpeed
                      - Ethereum
                      - Cloudinary
                      - OceanWP
                      - Goober
                      - jQuery Migrate
                      - Tailwind CSS
                      - Postman
                      - LinkedIn
                      - Webpack
                      - GSAP
                      - Essential Addons for Elementor
                      - Font Awesome
                      - Android
                      - PixelYourSite
                      - jQuery UI
                      - MUI
                      - IPFS
                      - Upwork
                      - cdnjs
                      - FlexSlider
                      - Elementor
                      - ZoomInfo
                      - Swiper
                      - Microsoft IIS
                      - Node.js
                      - Ethers
                      - Solidity
                      - React
                      - Priority Hints
                      - iOS
                      - OWL Carousel
                      - MySQL
                      - Facebook Pixel
                      - Open Graph
                      - Laravel
                      - Emotion
                      - Lucide
                      - PHP
                      - Blockchain
                      - Next.js
                      - RSS
                      - Google Maps
                      - Windows Server
                      - WordPress
                      - WPForms
                      - JavaScript
                      - Chainlink
                      - Apache
                      - Bootstrap
                    business_business_customer: B2B
                    company_quality_score: '3'
                    company_industry: Technology, Information and Media
                    company_subindustry: Technology, Information and Internet
                    company_subsubindustry: Software Development
                    company_location: >-
                      123 Example Street, Suite 100, Example City, Example
                      Country
                    company_location_geopoint_array:
                      - 73.92
                      - 18.64
                    company_occ_lead: '60'
                    _score: 10.002095
                    _id: '88945664'
                  - company_id: '9903838'
                    company_website_url: http://www.acme-care.example.com
                    company_name: Acme Care
                    company_linkedin_url: https://www.linkedin.com/company/acme-care
                    last_updated: 2025-09-04 14:24:45 UTC
                    company_headquarters_city: San Francisco, California
                    company_headquarters_country: United States
                    company_logo_url: https://example.com/logo2.png
                    company_description: >-
                      Acme Care provides an automated platform for team-based
                      care management. To learn more, write us at
                      contact@acme-care.example.com.
                    company_employee_count: '33'
                    company_type: Privately Held
                    company_founded: '2013'
                    company_followers_count: '2651'
                    company_size: 11-50
                    revenue_bucket: $5M - $10M
                    company_domain: acme-care.example.com
                    employees_count_growth: 6
                    last_funding_round_at: More than 6 months
                    techno_used_array:
                      - Google Cloud
                      - Heap
                      - Envoy
                      - Google Cloud CDN
                      - X-Content-Type-Options
                      - Piwik
                      - WP Engine
                      - React
                      - cdnjs
                      - Fullstory
                      - Cloudflare Bot Management
                      - Twitter
                      - JSON-LD
                      - C3.js
                      - Python
                      - Google Analytics
                      - MediaElement.js
                      - SafeBase
                      - Emotion
                      - Nginx
                      - Atlassian Jira
                      - PayPal
                      - MUI
                      - Gravity Forms
                      - Zendesk
                      - MySQL
                      - Webpack
                      - PHP
                      - Facebook Pixel
                      - Google Fonts API
                      - OneTrust
                      - jQuery
                      - Gravatar
                      - Google Hosted Libraries
                      - Yoast SEO
                      - Jamf
                      - Cloudflare CDN
                      - Angular
                      - Postman
                      - Cloudflare
                      - HubSpot
                      - Java
                      - HTTP/3
                      - Moment.js
                      - X-XSS-Protection
                      - Open Graph
                      - JazzHR
                      - Workramp
                      - Algolia
                      - SSL.com
                      - Autoptimize
                      - Font Awesome
                      - oEmbed
                      - Bootstrap
                      - Facebook
                      - HSTS
                      - Ruby
                      - Twemoji
                      - WordPress
                      - Lightbox
                      - Adobe Fonts
                      - RequireJS
                      - Ruby on Rails
                      - Lodash
                      - reCAPTCHA
                      - LinkedIn Ads
                      - Hotjar
                      - Google Tag Manager
                    business_business_customer: B2B
                    company_quality_score: '3'
                    company_industry: Technology, Information and Media
                    company_subindustry: Technology, Information and Internet
                    company_subsubindustry: Software Development
                    company_location: San Francisco, California, US
                    company_location_geopoint_array:
                      - -122.42
                      - 37.78
                    company_occ_lead: '117'
                    _score: 9.972561
                    _id: '9903838'
                total: 12102
                took: 17
                page: 1
                size: 2
                search: lsh_8LBpZPgGpxGswp5G7
                limitation: 1998
                team: tea_8QvkOiBfPdb2ZRhHi
        '400':
          description: 'Possible errors: Bad team / Parameter filters is invalid'
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  schemas:
    CompaniesSchema:
      type: object
      description: A company record from lemlist's Companies database.
      additionalProperties: true
      properties:
        company_id:
          type: string
          description: Unique company identifier
        company_website_url:
          type: string
          format: uri
          description: Official company website URL
        company_name:
          type: string
          description: Company name
        company_linkedin_url:
          type: string
          format: uri
          description: LinkedIn company profile URL
        last_updated:
          type: string
          description: Last update timestamp (UTC)
        company_headquarters_city:
          type: string
          description: Headquarters city
        company_headquarters_country:
          type: string
          description: Headquarters country
        company_logo_url:
          type: string
          format: uri
          description: Company logo image URL
        company_description:
          type: string
          description: Long company description
        company_employee_count:
          type: string
          description: Employee count as string
        company_type:
          type: string
          description: Company type (e.g., Privately Held, Public Company)
        company_founded:
          type: string
          description: Year founded as string
        company_followers_count:
          type: string
          description: LinkedIn followers count as string
        company_size:
          type: string
          description: Company size bucket
        revenue_bucket:
          type: string
          description: Revenue range bucket
        company_domain:
          type: string
          description: Company web domain
        employees_count_growth:
          type: integer
          description: Employee count growth number
        last_funding_round_at:
          type: string
          description: Date of last funding round
        techno_used_array:
          type: array
          items:
            type: string
          description: Array of technologies used by the company
        business_business_customer:
          type: string
          description: Customer type
          enum:
            - B2B
            - B2C
            - B2B2C
        company_quality_score:
          type: string
          description: Quality score as string
        company_industry:
          type: string
          description: Primary industry
        company_subindustry:
          type: string
          description: Sub-industry
        company_subsubindustry:
          type: string
          description: Sub-sub-industry
        company_location:
          type: string
          description: Full formatted location
        company_location_geopoint_array:
          type: array
          items:
            type: number
          description: Geopoint coordinates [longitude, latitude]
        company_occ_lead:
          type: string
          description: Occupational lead count as string
        _score:
          type: number
          description: Search relevance score
        _id:
          type: string
          description: Internal document ID
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````